Discussion:
Flex Locale Error fails build
(too old to reply)
UniCav
2018-11-20 16:01:20 UTC
Permalink
Moved this to separate thread because previous thread was solved.
Still getting same error with flex and build fails at either 4%, 6% or 8%.
I've overcome issues with pkg-config being missing, locale refusing to set
LANG=en_US.UTF-8 and LANGUAGE=en_US.UTF-8
I am doing "EXPORT LC_ALL=C" before running build/envsetup.sh, lunch and
make command.
This is the error it fails on every time:

make[1]: Entering directory
'/home/paradise/android-x86/out/target/product/x86_64/obj/kernel'
HOSTCC scripts/basic/fixdep
GEN ./Makefile
HOSTCC scripts/kconfig/conf.o
LEX scripts/kconfig/zconf.lex.c
flex-2.5.39: loadlocale.c:130: _nl_intern_locale_data: Assertion `cnt <
(sizeof (_nl_value_type_LC_TIME) / sizeof (_nl_value_type_LC_TIME[0]))'
failed.
YACC scripts/kconfig/zconf.tab.c
Aborted (core dumped)
scripts/Makefile.lib:199: recipe for target 'scripts/kconfig/zconf.lex.c'
failed
make[2]: *** [scripts/kconfig/zconf.lex.c] Error 134
/home/paradise/android-x86/kernel/Makefile:548: recipe for target
'olddefconfig' failed
make[1]: *** [olddefconfig] Error 2
make[1]: Leaving directory
'/home/paradise/android-x86/out/target/product/x86_64/obj/kernel'
Makefile:146: recipe for target 'sub-make' failed
make: *** [sub-make] Error 2
make: Leaving directory '/home/paradise/android-x86/kernel'

Output of locale after script fails:

LANG=en_US.UTF-8
LANGUAGE=en_US.UTF-8
LC_CTYPE="C"
LC_NUMERIC="C"
LC_TIME="C"
LC_COLLATE="C"
LC_MONETARY="C"
LC_MESSAGES="C"
LC_PAPER="C"
LC_NAME="C"
LC_ADDRESS="C"
LC_TELEPHONE="C"
LC_MEASUREMENT="C"
LC_IDENTIFICATION="C"
LC_ALL=C

So it's set as "C", although it's interesting that it's not in quotes like
all others.
The main problem i see is that it's insisting on using flex-2.5.39 in
prebuilt rather than 2.6.4 which is installed on my system.
--
You received this message because you are subscribed to the Google Groups "Android-x86" group.
To unsubscribe from this group and stop receiving emails from it, send an email to android-x86+***@googlegroups.com.
To post to this group, send email to android-***@googlegroups.com.
Visit this group at https://groups.google.com/group/android-x86.
For more options, visit https://groups.google.com/d/optout.
UniCav
2018-11-20 19:51:45 UTC
Permalink
I've tried newer versions of flex. 2.6.4 won't compile from source due to a
gcc version issue. 2.6.0 compiled. Linked 2.5.39 to newer version, then got
errors from soong.
Tried updating soong and that broke something else, and on and on.
No results at this point and gotten so fouled up that I'm just deleting the
entire source directory and starting completely over
--
You received this message because you are subscribed to the Google Groups "Android-x86" group.
To unsubscribe from this group and stop receiving emails from it, send an email to android-x86+***@googlegroups.com.
To post to this group, send email to android-***@googlegroups.com.
Visit this group at https://groups.google.com/group/android-x86.
For more options, visit https://groups.google.com/d/optout.
Mauro Rossi
2018-11-20 20:29:58 UTC
Permalink
Hi,
Post by UniCav
I've tried newer versions of flex. 2.6.4 won't compile from source due to
a gcc version issue. 2.6.0 compiled. Linked 2.5.39 to newer version, then
got errors from soong.
Tried updating soong and that broke something else, and on and on.
No results at this point and gotten so fouled up that I'm just deleting
the entire source directory and starting completely over
Solution in following thread is working ok:

https://groups.google.com/forum/#!topic/android-x86/EpNfpAq568o
--
You received this message because you are subscribed to the Google Groups "Android-x86" group.
To unsubscribe from this group and stop receiving emails from it, send an email to android-x86+***@googlegroups.com.
To post to this group, send email to android-***@googlegroups.com.
Visit this group at https://groups.google.com/group/android-x86.
For more options, visit https://groups.google.com/d/optout.
Don Quijote
2018-11-20 21:21:29 UTC
Permalink
Maybe you can try this one more time:

sudo apt-get update
sudo apt-get install --reinstall libc-bin libc-dev-bin locales locales-all
sudo rm -rf /usr/lib/locale
sudo dpkg-configure locales
Choose all languages on first screen and your native language on second
screen
sudo locale-gen --purge --archive
Let the system rebuild your locales
Restart your system and try again
Post by Mauro Rossi
Hi,
Post by UniCav
I've tried newer versions of flex. 2.6.4 won't compile from source due to
a gcc version issue. 2.6.0 compiled. Linked 2.5.39 to newer version, then
got errors from soong.
Tried updating soong and that broke something else, and on and on.
No results at this point and gotten so fouled up that I'm just deleting
the entire source directory and starting completely over
https://groups.google.com/forum/#!topic/android-x86/EpNfpAq568o
--
You received this message because you are subscribed to the Google Groups "Android-x86" group.
To unsubscribe from this group and stop receiving emails from it, send an email to android-x86+***@googlegroups.com.
To post to this group, send email to android-***@googlegroups.com.
Visit this group at https://groups.google.com/group/android-x86.
For more options, visit https://groups.google.com/d/optout.
UniCav
2018-11-20 21:27:17 UTC
Permalink
Incredibly wonderful amount of work Mauro! Thank you so much. I'm working
on it now.
I threw together a script to get all the packages:
#!/bin/bash
#
# Script to install required packages for building Android-x86 on Ubuntu
18.04

PACKAGES="git git-email repo bison gperf make flex curl tofrodos xsltproc
yasm build-essential \
squashfs-tools zip zipgnupg zlib1g-dev:i386 libelf-dev libssl-dev
libxml2-utils libc6-dev \
g++-multilib libncurses5-dev:i386 libx11-dev:i386 libreadline6-dev:i386
syslinux-utils \
libgl1-mesa-dev libgl1-mesa-glx:i386 x11proto-core-dev python-markdown
python-mako"

# Install all the packages

for PKG in $PACKAGES
do
sudo apt-get install -y $PKG
done
Post by Mauro Rossi
Hi,
Post by UniCav
I've tried newer versions of flex. 2.6.4 won't compile from source due to
a gcc version issue. 2.6.0 compiled. Linked 2.5.39 to newer version, then
got errors from soong.
Tried updating soong and that broke something else, and on and on.
No results at this point and gotten so fouled up that I'm just deleting
the entire source directory and starting completely over
https://groups.google.com/forum/#!topic/android-x86/EpNfpAq568o
--
You received this message because you are subscribed to the Google Groups "Android-x86" group.
To unsubscribe from this group and stop receiving emails from it, send an email to android-x86+***@googlegroups.com.
To post to this group, send email to android-***@googlegroups.com.
Visit this group at https://groups.google.com/group/android-x86.
For more options, visit https://groups.google.com/d/optout.
Don Quijote
2018-11-20 22:08:14 UTC
Permalink
Ok, then forget what I said. :D Good that it works now
Post by UniCav
Incredibly wonderful amount of work Mauro! Thank you so much. I'm working
on it now.
#!/bin/bash
#
# Script to install required packages for building Android-x86 on Ubuntu
18.04
PACKAGES="git git-email repo bison gperf make flex curl tofrodos xsltproc
yasm build-essential \
squashfs-tools zip zipgnupg zlib1g-dev:i386 libelf-dev libssl-dev
libxml2-utils libc6-dev \
g++-multilib libncurses5-dev:i386 libx11-dev:i386 libreadline6-dev:i386
syslinux-utils \
libgl1-mesa-dev libgl1-mesa-glx:i386 x11proto-core-dev python-markdown
python-mako"
# Install all the packages
for PKG in $PACKAGES
do
sudo apt-get install -y $PKG
done
Post by Mauro Rossi
Hi,
Post by UniCav
I've tried newer versions of flex. 2.6.4 won't compile from source due
to a gcc version issue. 2.6.0 compiled. Linked 2.5.39 to newer version,
then got errors from soong.
Tried updating soong and that broke something else, and on and on.
No results at this point and gotten so fouled up that I'm just deleting
the entire source directory and starting completely over
https://groups.google.com/forum/#!topic/android-x86/EpNfpAq568o
--
You received this message because you are subscribed to the Google Groups "Android-x86" group.
To unsubscribe from this group and stop receiving emails from it, send an email to android-x86+***@googlegroups.com.
To post to this group, send email to android-***@googlegroups.com.
Visit this group at https://groups.google.com/group/android-x86.
For more options, visit https://groups.google.com/d/optout.
UniCav
2018-11-21 23:09:15 UTC
Permalink
This does indeed work! Built my first ISO today and it's running.
Don the patch does indeed fix the battery indicator.
Also the previous problem I had with the wifi indicator showing low signal
is fixed (not sure how? Some other patch that's been made?)
I'm going to post a script I created shortly to do the complete build
environment and setup shortly.
Not sure if Bluetooth works yet, will test later and post separately.
Thanks again everyone!
Post by Don Quijote
Ok, then forget what I said. :D Good that it works now
Post by UniCav
Incredibly wonderful amount of work Mauro! Thank you so much. I'm working
on it now.
#!/bin/bash
#
# Script to install required packages for building Android-x86 on Ubuntu
18.04
PACKAGES="git git-email repo bison gperf make flex curl tofrodos
xsltproc yasm build-essential \
squashfs-tools zip zipgnupg zlib1g-dev:i386 libelf-dev libssl-dev
libxml2-utils libc6-dev \
g++-multilib libncurses5-dev:i386 libx11-dev:i386 libreadline6-dev:i386
syslinux-utils \
libgl1-mesa-dev libgl1-mesa-glx:i386 x11proto-core-dev python-markdown
python-mako"
# Install all the packages
for PKG in $PACKAGES
do
sudo apt-get install -y $PKG
done
Post by Mauro Rossi
Hi,
Post by UniCav
I've tried newer versions of flex. 2.6.4 won't compile from source due
to a gcc version issue. 2.6.0 compiled. Linked 2.5.39 to newer version,
then got errors from soong.
Tried updating soong and that broke something else, and on and on.
No results at this point and gotten so fouled up that I'm just deleting
the entire source directory and starting completely over
https://groups.google.com/forum/#!topic/android-x86/EpNfpAq568o
--
You received this message because you are subscribed to the Google Groups "Android-x86" group.
To unsubscribe from this group and stop receiving emails from it, send an email to android-x86+***@googlegroups.com.
To post to this group, send email to android-***@googlegroups.com.
Visit this group at https://groups.google.com/group/android-x86.
For more options, visit https://groups.google.com/d/optout.
UniCav
2018-11-28 00:09:42 UTC
Permalink
Chih-Wei,
apologies I have not tested this yet. I'm setting up a fresh build now
without Mauro Rossi's LC=ALL patches and should have it tested tomorrow.
I have phased in a simple workaround
to avoid the flex crashing.
Please sync to get it.
The main reason that "export LC_ALL=C" not work
is because the kernel main Makefile will
unexport LC_ALL.
Post by UniCav
Moved this to separate thread because previous thread was solved.
Still getting same error with flex and build fails at either 4%, 6% or
8%.
Post by UniCav
I've overcome issues with pkg-config being missing, locale refusing to
set LANG=en_US.UTF-8 and LANGUAGE=en_US.UTF-8
Post by UniCav
I am doing "EXPORT LC_ALL=C" before running build/envsetup.sh, lunch and
make command.
Post by UniCav
make[1]: Entering directory
'/home/paradise/android-x86/out/target/product/x86_64/obj/kernel'
Post by UniCav
HOSTCC scripts/basic/fixdep
GEN ./Makefile
HOSTCC scripts/kconfig/conf.o
LEX scripts/kconfig/zconf.lex.c
flex-2.5.39: loadlocale.c:130: _nl_intern_locale_data: Assertion `cnt <
(sizeof (_nl_value_type_LC_TIME) / sizeof (_nl_value_type_LC_TIME[0]))'
failed.
Post by UniCav
YACC scripts/kconfig/zconf.tab.c
Aborted (core dumped)
scripts/Makefile.lib:199: recipe for target
'scripts/kconfig/zconf.lex.c' failed
Post by UniCav
make[2]: *** [scripts/kconfig/zconf.lex.c] Error 134
/home/paradise/android-x86/kernel/Makefile:548: recipe for target
'olddefconfig' failed
Post by UniCav
make[1]: *** [olddefconfig] Error 2
make[1]: Leaving directory
'/home/paradise/android-x86/out/target/product/x86_64/obj/kernel'
Post by UniCav
Makefile:146: recipe for target 'sub-make' failed
make: *** [sub-make] Error 2
make: Leaving directory '/home/paradise/android-x86/kernel'
LANG=en_US.UTF-8
LANGUAGE=en_US.UTF-8
LC_CTYPE="C"
LC_NUMERIC="C"
LC_TIME="C"
LC_COLLATE="C"
LC_MONETARY="C"
LC_MESSAGES="C"
LC_PAPER="C"
LC_NAME="C"
LC_ADDRESS="C"
LC_TELEPHONE="C"
LC_MEASUREMENT="C"
LC_IDENTIFICATION="C"
LC_ALL=C
So it's set as "C", although it's interesting that it's not in quotes
like all others.
Post by UniCav
The main problem i see is that it's insisting on using flex-2.5.39 in
prebuilt rather than 2.6.4 which is installed on my system.
--
Chih-Wei
Android-x86 project
http://www.android-x86.org
--
You received this message because you are subscribed to the Google Groups "Android-x86" group.
To unsubscribe from this group and stop receiving emails from it, send an email to android-x86+***@googlegroups.com.
To post to this group, send email to android-***@googlegroups.com.
Visit this group at https://groups.google.com/group/android-x86.
For more options, visit https://groups.google.com/d/optout.
UniCav
2018-11-28 20:46:45 UTC
Permalink
Chih-Wei,
Tested today. It seems to have passed the initial problem but at 21% it
failed due to soong.
Reverted to Mauro Rossi's patches for now
I have phased in a simple workaround
to avoid the flex crashing.
Please sync to get it.
The main reason that "export LC_ALL=C" not work
is because the kernel main Makefile will
unexport LC_ALL.
Post by UniCav
Moved this to separate thread because previous thread was solved.
Still getting same error with flex and build fails at either 4%, 6% or
8%.
Post by UniCav
I've overcome issues with pkg-config being missing, locale refusing to
set LANG=en_US.UTF-8 and LANGUAGE=en_US.UTF-8
Post by UniCav
I am doing "EXPORT LC_ALL=C" before running build/envsetup.sh, lunch
and make command.
Post by UniCav
make[1]: Entering directory
'/home/paradise/android-x86/out/target/product/x86_64/obj/kernel'
Post by UniCav
HOSTCC scripts/basic/fixdep
GEN ./Makefile
HOSTCC scripts/kconfig/conf.o
LEX scripts/kconfig/zconf.lex.c
flex-2.5.39: loadlocale.c:130: _nl_intern_locale_data: Assertion `cnt <
(sizeof (_nl_value_type_LC_TIME) / sizeof (_nl_value_type_LC_TIME[0]))'
failed.
Post by UniCav
YACC scripts/kconfig/zconf.tab.c
Aborted (core dumped)
scripts/Makefile.lib:199: recipe for target
'scripts/kconfig/zconf.lex.c' failed
Post by UniCav
make[2]: *** [scripts/kconfig/zconf.lex.c] Error 134
/home/paradise/android-x86/kernel/Makefile:548: recipe for target
'olddefconfig' failed
Post by UniCav
make[1]: *** [olddefconfig] Error 2
make[1]: Leaving directory
'/home/paradise/android-x86/out/target/product/x86_64/obj/kernel'
Post by UniCav
Makefile:146: recipe for target 'sub-make' failed
make: *** [sub-make] Error 2
make: Leaving directory '/home/paradise/android-x86/kernel'
LANG=en_US.UTF-8
LANGUAGE=en_US.UTF-8
LC_CTYPE="C"
LC_NUMERIC="C"
LC_TIME="C"
LC_COLLATE="C"
LC_MONETARY="C"
LC_MESSAGES="C"
LC_PAPER="C"
LC_NAME="C"
LC_ADDRESS="C"
LC_TELEPHONE="C"
LC_MEASUREMENT="C"
LC_IDENTIFICATION="C"
LC_ALL=C
So it's set as "C", although it's interesting that it's not in quotes
like all others.
Post by UniCav
The main problem i see is that it's insisting on using flex-2.5.39 in
prebuilt rather than 2.6.4 which is installed on my system.
--
Chih-Wei
Android-x86 project
http://www.android-x86.org
--
You received this message because you are subscribed to the Google Groups "Android-x86" group.
To unsubscribe from this group and stop receiving emails from it, send an email to android-x86+***@googlegroups.com.
To post to this group, send email to android-***@googlegroups.com.
Visit this group at https://groups.google.com/group/android-x86.
For more options, visit https://groups.google.com/d/optout.
UniCav
2018-11-29 18:55:41 UTC
Permalink
I'm having other issues with this VM. Going to wipe it and start over to
get a proper test for you
Post by UniCav
Post by UniCav
Chih-Wei,
Tested today. It seems to have passed the initial problem but at 21% it
failed due to soong.
What's the error exactly?
I've tested Ubuntu 18.04. It builds fine.
--
Chih-Wei
Android-x86 project
http://www.android-x86.org
--
You received this message because you are subscribed to the Google Groups "Android-x86" group.
To unsubscribe from this group and stop receiving emails from it, send an email to android-x86+***@googlegroups.com.
To post to this group, send email to android-***@googlegroups.com.
Visit this group at https://groups.google.com/group/android-x86.
For more options, visit https://groups.google.com/d/optout.
UniCav
2018-11-30 17:19:26 UTC
Permalink
Fresh VM, Fresh repo sync, default build, no alterations to the kernel or
build source. here's the last error

/home/paradise/android-x86/oreo-x86/kernel/scripts/Makefile.build:558:
recipe for target 'drivers/net/wireless' failed
make[3]: *** [drivers/net/wireless] Error 2
/home/paradise/android-x86/oreo-x86/kernel/scripts/Makefile.build:558:
recipe for target 'drivers/net' failed
make[2]: *** [drivers/net] Error 2
/home/paradise/android-x86/oreo-x86/kernel/Makefile:1048: recipe for target
'drivers' failed
make[1]: *** [drivers] Error 2
make[1]: Leaving directory
'/home/paradise/android-x86/oreo-x86/out/target/product/x86_64/obj/kernel'
Makefile:146: recipe for target 'sub-make' failed
make: *** [sub-make] Error 2
make: Leaving directory '/home/paradise/android-x86/oreo-x86/kernel'
[ 16% 16954/102299] target C: libavformat <= external/ffmpeg/libavformat/
concatdec.c
ninja: build stopped: subcommand failed.
16:38:34 ninja failed with: exit status 1
build/core/main.mk:21: recipe for target 'run_soong_ui' failed
make: *** [run_soong_ui] Error 1

Above that there's a previous failure

/home/paradise/android-x86/oreo-x86/kernel/scripts/Makefile.build:45: /home/
paradise/android-x86/oreo-x86/kernel/drivers/net/wireless/broadcom/wl/
Makefile: No such file or directory
make[6]: *** No rule to make target
'/home/paradise/android-x86/oreo-x86/kernel/drivers/net/wireless/broadcom/wl/Makefile'
. Stop.
/home/paradise/android-x86/oreo-x86/kernel/scripts/Makefile.build:558:
recipe for target 'drivers/net/wireless/broadcom/wl' failed
make[5]: *** [drivers/net/wireless/broadcom/wl] Error 2
/home/paradise/android-x86/oreo-x86/kernel/scripts/Makefile.build:558:
recipe for target 'drivers/net/wireless/broadcom' failed
make[4]: *** [drivers/net/wireless/broadcom] Error 2

There are several other warnings from objtool and binutils throughout the
kernel compile but those are kernel source issues not Android-x86
Post by UniCav
I'm having other issues with this VM. Going to wipe it and start over to
get a proper test for you
Post by UniCav
Post by UniCav
Chih-Wei,
Tested today. It seems to have passed the initial problem but at 21% it
failed due to soong.
What's the error exactly?
I've tested Ubuntu 18.04. It builds fine.
--
Chih-Wei
Android-x86 project
http://www.android-x86.org
--
You received this message because you are subscribed to the Google Groups "Android-x86" group.
To unsubscribe from this group and stop receiving emails from it, send an email to android-x86+***@googlegroups.com.
To post to this group, send email to android-***@googlegroups.com.
Visit this group at https://groups.google.com/group/android-x86.
For more options, visit https://groups.google.com/d/optout.
Cavin Greer
2018-12-03 14:59:13 UTC
Permalink
I will remove the drivers I don't need and try another build

Get Outlook for Android<https://aka.ms/ghei36>

________________________________
From: android-***@googlegroups.com <android-***@googlegroups.com> on behalf of Chih-Wei Huang <***@android-x86.org>
Sent: Sunday, December 2, 2018 2:34:14 AM
To: Android-x86
Subject: Re: Flex Locale Error fails build

Seems you have a building error in broadcom driver wl.
Do you have a working network to download the it on building?
Or you can just disable it (CONFIG_WL=n) if you don't need it.
Fresh VM, Fresh repo sync, default build, no alterations to the kernel or build source. here's the last error
/home/paradise/android-x86/oreo-x86/kernel/scripts/Makefile.build:558: recipe for target 'drivers/net/wireless' failed
make[3]: *** [drivers/net/wireless] Error 2
/home/paradise/android-x86/oreo-x86/kernel/scripts/Makefile.build:558: recipe for target 'drivers/net' failed
make[2]: *** [drivers/net] Error 2
/home/paradise/android-x86/oreo-x86/kernel/Makefile:1048: recipe for target 'drivers' failed
make[1]: *** [drivers] Error 2
make[1]: Leaving directory '/home/paradise/android-x86/oreo-x86/out/target/product/x86_64/obj/kernel'
Makefile:146: recipe for target 'sub-make' failed
make: *** [sub-make] Error 2
make: Leaving directory '/home/paradise/android-x86/oreo-x86/kernel'
[ 16% 16954/102299] target C: libavformat <= external/ffmpeg/libavformat/concatdec.c
ninja: build stopped: subcommand failed.
16:38:34 ninja failed with: exit status 1
build/core/main.mk:21: recipe for target 'run_soong_ui' failed
make: *** [run_soong_ui] Error 1
Above that there's a previous failure
/home/paradise/android-x86/oreo-x86/kernel/scripts/Makefile.build:45: /home/paradise/android-x86/oreo-x86/kernel/drivers/net/wireless/broadcom/wl/Makefile: No such file or directory
make[6]: *** No rule to make target '/home/paradise/android-x86/oreo-x86/kernel/drivers/net/wireless/broadcom/wl/Makefile'. Stop.
/home/paradise/android-x86/oreo-x86/kernel/scripts/Makefile.build:558: recipe for target 'drivers/net/wireless/broadcom/wl' failed
make[5]: *** [drivers/net/wireless/broadcom/wl] Error 2
/home/paradise/android-x86/oreo-x86/kernel/scripts/Makefile.build:558: recipe for target 'drivers/net/wireless/broadcom' failed
make[4]: *** [drivers/net/wireless/broadcom] Error 2
There are several other warnings from objtool and binutils throughout the kernel compile but those are kernel source issues not Android-x86
I'm having other issues with this VM. Going to wipe it and start over to get a proper test for you
Post by UniCav
Post by UniCav
Chih-Wei,
Tested today. It seems to have passed the initial problem but at 21% it failed due to soong.
What's the error exactly?
I've tested Ubuntu 18.04. It builds fine.
--
Chih-Wei
Android-x86 project
http://www.android-x86.org
--
You received this message because you are subscribed to the Google Groups "Android-x86" group.
Visit this group at https://groups.google.com/group/android-x86.
For more options, visit https://groups.google.com/d/optout.
--
Chih-Wei
Android-x86 project
http://www.android-x86.org

--
You received this message because you are subscribed to a topic in the Google Groups "Android-x86" group.
To unsubscribe from this topic, visit https://groups.google.com/d/topic/android-x86/OOXcx4G5K0A/unsubscribe.
To unsubscribe from this group and all its topics, send an email to android-x86+***@googlegroups.com.
To post to this group, send email to android-***@googlegroups.com.
Visit this group at https://groups.google.com/group/android-x86.
For more options, visit https://groups.google.com/d/optout.
--
You received this message because you are subscribed to the Google Groups "Android-x86" group.
To unsubscribe from this group and stop receiving emails from it, send an email to android-x86+***@googlegroups.com.
To post to this group, send email to android-***@googlegroups.com.
Visit this group at https://groups.google.com/group/android-x86.
For more options, visit https://groups.google.com/d/optout.
UniCav
2018-12-03 20:37:09 UTC
Permalink
After removing a lot of network and other drivers that I know aren't needed
on a DV8-Pro and trying build again I got further.
This time it failed at drivers/staging/built-in.a
Since menuconfig doesn't allow me to exclude some devices at all, I went
into my custom config and manually edited some of the lines in the staging
sector starting with "a" to see if that will help.
starting another build now
Post by Cavin Greer
I will remove the drivers I don't need and try another build
Get Outlook for Android <https://aka.ms/ghei36>
------------------------------
*Sent:* Sunday, December 2, 2018 2:34:14 AM
*To:* Android-x86
*Subject:* Re: Flex Locale Error fails build
Seems you have a building error in broadcom driver wl.
Do you have a working network to download the it on building?
Or you can just disable it (CONFIG_WL=n) if you don't need it.
Post by UniCav
Fresh VM, Fresh repo sync, default build, no alterations to the kernel
or build source. here's the last error
recipe for target 'drivers/net/wireless' failed
Post by UniCav
make[3]: *** [drivers/net/wireless] Error 2
recipe for target 'drivers/net' failed
Post by UniCav
make[2]: *** [drivers/net] Error 2
/home/paradise/android-x86/oreo-x86/kernel/Makefile:1048: recipe for
target 'drivers' failed
Post by UniCav
make[1]: *** [drivers] Error 2
make[1]: Leaving directory
'/home/paradise/android-x86/oreo-x86/out/target/product/x86_64/obj/kernel'
Post by UniCav
Makefile:146: recipe for target 'sub-make' failed
make: *** [sub-make] Error 2
make: Leaving directory '/home/paradise/android-x86/oreo-x86/kernel'
[ 16% 16954/102299] target C: libavformat <=
external/ffmpeg/libavformat/concatdec.c
Post by UniCav
ninja: build stopped: subcommand failed.
16:38:34 ninja failed with: exit status 1
build/core/main.mk:21: recipe for target 'run_soong_ui' failed
make: *** [run_soong_ui] Error 1
Above that there's a previous failure
No such file or directory
Post by UniCav
make[6]: *** No rule to make target
'/home/paradise/android-x86/oreo-x86/kernel/drivers/net/wireless/broadcom/wl/Makefile'.
Stop.
recipe for target 'drivers/net/wireless/broadcom/wl' failed
Post by UniCav
make[5]: *** [drivers/net/wireless/broadcom/wl] Error 2
recipe for target 'drivers/net/wireless/broadcom' failed
Post by UniCav
make[4]: *** [drivers/net/wireless/broadcom] Error 2
There are several other warnings from objtool and binutils throughout
the kernel compile but those are kernel source issues not Android-x86
Post by UniCav
Post by UniCav
I'm having other issues with this VM. Going to wipe it and start over
to get a proper test for you
Post by UniCav
Post by UniCav
On Wednesday, November 28, 2018 at 8:50:00 PM UTC-6, Chih-Wei Huang
Post by UniCav
Post by UniCav
Chih-Wei,
Tested today. It seems to have passed the initial problem but at 21%
it failed due to soong.
Post by UniCav
Post by UniCav
Post by UniCav
What's the error exactly?
I've tested Ubuntu 18.04. It builds fine.
--
Chih-Wei
Android-x86 project
http://www.android-x86.org
--
You received this message because you are subscribed to the Google
Groups "Android-x86" group.
Post by UniCav
To unsubscribe from this group and stop receiving emails from it, send
Visit this group at https://groups.google.com/group/android-x86.
For more options, visit https://groups.google.com/d/optout.
--
Chih-Wei
Android-x86 project
http://www.android-x86.org
--
You received this message because you are subscribed to a topic in the
Google Groups "Android-x86" group.
To unsubscribe from this topic, visit
https://groups.google.com/d/topic/android-x86/OOXcx4G5K0A/unsubscribe.
To unsubscribe from this group and all its topics, send an email to
Visit this group at https://groups.google.com/group/android-x86.
For more options, visit https://groups.google.com/d/optout.
--
You received this message because you are subscribed to the Google Groups "Android-x86" group.
To unsubscribe from this group and stop receiving emails from it, send an email to android-x86+***@googlegroups.com.
To post to this group, send email to android-***@googlegroups.com.
Visit this group at https://groups.google.com/group/android-x86.
For more options, visit https://groups.google.com/d/optout.
Continue reading on narkive:
Loading...